Subject: Re: [PATCH V2] Use firmware provided index to register a network interface

From: Greg KH <[email-masked]>
Date: Thu, 7 Oct 2010 08:11:34 -0700

On Thu, Oct 07, 2010 at 07:23:35AM -0700, [email-masked] wrote:
> Hello,
> 
> V1 -> V2:
> 
> This patch addresses the scenario of buggy firmware/BIOS tables. The
> patch introduces a command line parameter 'no_netfwindex', passing which
> firmware provided index will not be used to derive 'eth' names. By
> default, firmware index will be used and the parameter can be used to
> work around buggy firmware/BIOS tables.
> 
> Please find the patch below.
> 
> From: Narendra K <[email-masked]>
> Subject: [PATCH] Use firmware provided index to register a network device
> 
> This patch uses the firmware provided index to derive the ethN name.
> If the firmware provides an index for the corresponding pdev, the N
> is derived from the index.

No, this has the very big chance to reorder existing network names and
should all be done in userspace with the firmware information exported
in sysfs, if the user so desires.

So consider this patch rejected from me.

thanks,

greg k-h